<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
<TITLE>PART</TITLE>
<META HTTP-EQUIV="imagetoolbar" CONTENT="no">
<script  language="javascript" src="../js/parse_get.js" type="text/JavaScript"></script>
<script  language="javascript" src="../js/parse_cookie.js" type="text/JavaScript"></script>
<script language="javascript" type="text/javascript">
<!--
try{
	var pwidth = _get["width"][0];
	var pheight = _get["height"][0];
	var wpage = _get["page"][0];
	var aid = _get["aid"][0];

	if(!wpage)
		wpage = parent.opener.xxx;
}
catch(E){}
var LoadImage=0;
function loadImg(imgID) {
	
	LoadImage++;
}

function inputPage(page)
{
	try{
		page = parseInt(page);

		if(parent.opener.PageLoc == "1") 
		{
			if(page%2==0) locate = "R";
			else locate = "L";
		}
		else {
			if(page%2==0) locate = "L";
			else locate = "R";
		}

		var html = parent.opener.PrintPrc2(page,locate,parent.selectPaper);
	
		var rhtml = html.replace(/\.\//ig, "../page/"+aid+"/");
		rhtml = rhtml.replace(/opener\./ig, "");
		document.getElementById("page").innerHTML = rhtml;
	}catch(e){}	
}

var mx = -1;
var my = -1;
var ex = -1;
var ey = -1;
var coords = new Array();
coords['top'] = 0;
coords['left'] = 0;
coords['width'] = 0;
coords['height'] = 0;

var dragStart = false;
function getxy(e) {
	ex = e.clientX + document.body.scrollLeft;
	ey = e.clientY + document.body.scrollTop;	
}

function clicks(event) {
	if(dragStart == true)
		return;
	dragStart = true;
	getxy(event);
	
	document.getElementById('box').style.top = 0;
	document.getElementById('box').style.left = 0;		
	document.getElementById('box').style.width = 0;
	document.getElementById('box').style.height = 0;

	mx = ex;
	my = ey;	

	if(mx > ex) l = ex;
	else l = mx;
	if(my > ey) t = ey;
	else t = my;		
	coords['top'] = t
	coords['left'] = l;
	document.getElementById('box').style.display='inline';	
	document.getElementById('box').style.top = t;
	document.getElementById('box').style.left = l;	
	document.getElementById('box').style.width = "80px";
	document.getElementById('box').style.height = "20px";
		
	
}
function moves(event) {
	

	if(dragStart)
	{
			
		var obj = document.getElementById('box_size');
		if(mx > 0 && my > 0) 
		{
			
			getxy(event);
			
			mw = Math.abs(mx - ex);
			mh = Math.abs(my - ey);	
			
			document.getElementById('box').style.width = mw;
			document.getElementById('box').style.height = mh;
		

			
			coords['width'] = mw;
			coords['height'] = mh;		
			
			obj.innerHTML = mw+" x "+mh+" px";
		}
		
	}
}
function clicks2() {						
	dragStart = false;
	
	//alert("인쇄할 부분이 선택 되었습니다. 인쇄 버턴을 눌러 주세요");
	//+coords['top']+","+coords['left']+","+coords['width']+","+coords['height']

	clear();
}
function clear() {
		
	mx = -1;
	my = -1;
	//document.getElementById('box').style.display='block';
}

function getSizes(target)
{
	return coords[target];
}

function moves2()
{
}

window.onload = function()
{
	
	inputPage(wpage);
	document.getElementById('blank_img').width = pwidth;
	document.getElementById('blank_img').height = pheight;
}
//-->
</script>
</HEAD>

<BODY topmargin=0 leftmargin=0 ondragstart="moves2();return false;"   onselectstart="return false" oncontextmenu="return false" >


<img id='blank_img' src='../base/blank_opacity.gif' width='1' height='1' border=0 style='position:absolute;top:0;left:0;cursor:crosshair;border:1px dotted  red; z-index:100;' onmousedown='clicks(event)' onmousemove='moves(event)' onmouseup='clicks2()' >

<div id=box style='position:absolute;z-index:10;display:none;top:0;left:0;width:0;height:0;border:2px dotted red; overflow:hidden;'><font style='font-size:0px'><div id=box_size style='width:80px; height:20px; background-color:#FFCC00; font-size:12px;'>&nbsp;</div></font><BR><BR><span style="font-size:9pt;background-color: #FFFFFF;font-weight: bold;"><center>프린트 영역 선택 "인쇄" 버턴을 눌러 주세요</center></span></div>

<div id="page" style="position:absolute;left: 0; top: 0; z-index:1;"></div>


</BODY>
</HTML>
